#include <stdio.h>
#include <stdlib.h>
#include <limits.h>

#define NMAX 10                  /* 頂点の数の上限 */
int graph[NMAX + 1][NMAX + 1];   /* 辺(関連)の有無 */
int n;                           /* 頂点の数 */

#define FALSE  0
#define TRUE   1

void inputgraph(void)            /* グラフデータ読込み */
{
  int i, j;
  
  puts("頂点の数を入力してください");
  if (scanf("%d%*[^\n]", &n) != 1 || n > NMAX)
    {
      n = 0;  return;
    }
  
  for (i = 1; i <= n; i++)
    for (j = 1; j <= n; j++)
      graph[i][j] = FALSE;

  puts("あ");
  puts("各辺の両端点を番号で入力してください");
  while (scanf("%d%d%*[^\n]", &i, &j) == 2)
    {
      graph[i][j] = TRUE;
      graph[j][i] = TRUE;
    }
}

int main()
{
  int i, j;
  
  inputgraph();  /* 点の数 n, 辺の有無 graph[][] を入力 */
  
  puts("入力データ graph(i,j)=F/T");
  for (i = 1; i <= n; i++) {
    printf("%3d",i);
    for (j = 1; j <= i; j++) {
      if (graph[i][j])
	fputs("  T",stdout);
      else
	fputs("  F",stdout);
    }
    puts("");  
  }
  fputs("   ",stdout);
  for (i = 1; i <= n; i++) printf("%3d",i);
  puts("");  

  return EXIT_SUCCESS;
}
